class CRelationClass;
class CEntityInstance;

class CRelationInstance : public CLandscapeObject 
{
public:
	// An edge is defined by a relation class and two entity instances

	CRelationInstance	*m_next_srcP;
	CRelationInstance	*m_next_dstP;
	CEntityInstance		*m_srcP;						// The real source      of this edge
	CEntityInstance		*m_dstP;						// The real destination of this edge

	CRelationInstance(CRelationClass *parentClassP, CEntityInstance *srcP, CEntityInstance *dstP);
	CRelationClass		*getRelationClass(void) const;
	virtual void putAttribute(const char *idP, const char *valueP);
};

