#ifdef WIN32
#define _CRT_SECURE_NO_WARNINGS
#endif

#include <assert.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "xmalloc.h"
#include "util.h"

void
error_exit(int code)
{
	fprintf(stderr,"Exit code %d\n", code);
	exit(code);
}

char *
dupstring(const char *stringP)
{
	register char	*retP;
	int				string_lth;

	string_lth = strlen(stringP) + 1;
	retP = (char *) Xmalloc(string_lth);
	if (!retP) {
		outofmemory();
	}
	strcpy(retP, stringP);
	return(retP);
}
