#include <string.h>

#include "object.h"
#include "Attribute.h"
#include "LandscapeObject.h"
#include "LandscapeObject3D.h"
#include "LandscapeClassObject.h"
#include "EntityClass.h"
#include "EntityInstance.h"

CEntityClass::CEntityClass(const char *idP) 
{
	setId(idP); 
	m_nextP            = 0;
	m_entityInstancesP = 0;
}

// A raw constructor of uncached entities

CEntityInstance *
CEntityClass::newEntity(const char *idP) 
{
	CEntityInstance *eP = new CEntityInstance(this, idP);
	return eP;
}

void 
CEntityClass::putAttribute(const char *idP, const char *valueP)
{
	if (!strcmp(idP, "class_label")) {
		m_labelP = valueP;
	}
	CLandscapeClassObject::putAttribute(idP, valueP);
}




